﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Conversion.aspx.cs" Inherits="Sitecore.V6DBConversion.sitecore.admin.upgrade.AutomaticRun" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Automatic Database Conversion</title>
    <style type="text/css">
      #divSteps div
      {
      	padding-left: 46px;
      }
      
      .step {
      	background-image: url(/sitecore/shell/Themes/Standard/Applications/16x16/bullet_ball_glass_grey.png);
      	background-repeat: no-repeat;
      	background-position: 22px 2px;
      }
      .selectedStep
      {
      	background-image: url(/sitecore/shell/Themes/Standard/Applications/16x16/arrow_right_green.png);
      	background-repeat: no-repeat;
      	background-position: 22px 2px;
      }	
      .checkedStep
      {
      	background-image: url(/sitecore/shell/Themes/Standard/Applications/16x16/check2.png);
      	background-repeat: no-repeat;
      	background-position: 22px 2px;
      }
      .failedStep
      {
      	background-image: url(/sitecore/shell/Themes/Standard/Applications/16x16/stop.png);
      	background-repeat: no-repeat;
      	background-position: 22px 2px;
      }		
    </style>
</head>
<body>
 <table width="100%">
 <tr>
   <td width="50%" style="vertical-align:top;">
    <form id="form" runat="server">
    <h1>Automatic Database Conversion</h1>
    <div>
        This page will convert the selected Sitecore 5.3 databases so that they can be used with Sitecore 6.4.1.  
        <br /><br />
        Please refer to the documentation for information about each step.
        <br /><br />
        After the conversion has completed, please review the report for information about errors and warnings. 
    </div>
    <h2>Conversion Steps</h2>
    <div id="divSteps" runat="server">
      <div runat="server" id="divConvertStructure" class="step">Convert database structure</div>
      <div runat="server" id="divConvertArchive" class="step">Transfer archives databases</div>
      <div runat="server" id="divConvertAccounts" class="step">Transfer security accounts</div>
      <div runat="server" id="divConvertSF" class="step">Convert security fields</div>
      <div runat="server" id="divUpdateFields" class="step">Update fields</div>
      <div runat="server" id="divConvertMediaLinks" class="step">Convert media links</div>
      <div runat="server" id="divConvertMasters" class="step">Convert masters to branches</div>
      <div runat="server" id="divMoveFieldTypes" class="step">Move field type definitions</div>
      <div runat="server" id="divMoveHtmlProfiles" class="step">Move Html Editor profiles</div>
      <div runat="server" id="divConvertProxies" class="step">Convert IDs of virtual items</div>
      <div runat="server" id="divInstallUP" class="step">Install update package to master database</div>
      <div runat="server" id="divCleanup" class="step">Clean up databases</div>      
    </div>
    <br />
    
    <table>
    <tr>
     <td><input type="button" onclick="location.href='SelectDatabases.aspx';" value="&lt;&lt; Back" runat="server" id="btnBack"/></td>
     <td width="20px"></td>
     <td>
       <asp:Button ID="btnStart" runat="server" Text="Start conversion" OnClick="btnStart_Click" />    
     </td>
    </tr>
   </table>
   <br />
   <asp:Label ID="lblLinkToOutput" runat="server" />
    </form>
  </td>
  <td width="50%">
    <asp:Panel runat="server" ID="pnlResponse" align="top" Width="100%" Height="600px">
    </asp:Panel>
  </td>
  </tr>
 </table>     
</body>
</html>
