﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ManualConversion.aspx.cs" Inherits="Sitecore.V6DBConversion.Main" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Manual Database Conversion</title>
</head>
<body>
    <form id="form" runat="server">
    <h1>Manual Database Conversion</h1>
    <div>
        This page contains links to the aspx pages that are used to convert Sitecore 5.3 databases for use with Sitecore 6.4.1.
        <br /><br />
        Please refer to the documentation for further usage instructions. 
        <br /><br />
        <h2>Conversion Steps</h2>
        <ol>
        <li>
            <a href="ConvertDatabaseStructure.aspx">Convert Database Structure</a>
        </li>                
        <li>
            <a href="TransferArchives.aspx">Transfer Archives</a>
        </li>
        <li>
           <a href="ConvertSecurity.aspx">Convert Security</a> 
        </li>
        <li>
           <a href="UpdateFields.aspx">Update Fields</a> 
        </li>
        <li>
           <a href="ConvertMediaLinks.aspx">Convert Media Links</a> 
        </li>        
        <li>
           <a href="ConvertMasters.aspx">Convert Masters to Branches</a>
        </li>
        <li>
           <a href="MoveFieldTypes.aspx">Move Field Type Definitions</a>
        </li>
        <li>
          <a href="MoveHtmlEditorProfiles.aspx">Move Html Editor Profiles</a>
        </li>
        <li>
          <a href="ConvertVirtualItemIDs.aspx">Convert IDs of virtual items</a>
        </li>
        <li>
          <a href="InstallUpdatePackage.aspx">Install Update Package</a>
        </li>
        <li>
          <a href="Cleanup.aspx">Final Cleanup</a>
        </li>
        </ol>
    </div>
    <br />
    <asp:Button runat="server" ID="btnBack" Text="&lt;&lt; Back" OnClick="btnBack_Click"
      ToolTip="Back to the Wizard" />
  </form>
</body>
</html>
