﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TransferArchives.aspx.cs" Inherits="Sitecore.V6DBConversion.TransferArchives" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Transfer Archives</title>
</head>
<body>
 <h1>Transfer Archives</h1>
 <asp:MultiView runat="server" ID="mlvMain">
    <asp:View runat="server" ID="viewConversion">
 <table width="100%" height="100%">
 <tr>
   <td width="50%" style="vertical-align: top;">
    <form id="mainForm" runat="server">
    <div>
        <table width="100%">
        <tr>
            <td colspan="2">
                This page will move items from your archive and recycle bin databases into the relevant 'archive' database tables of the database that the items were archived/deleted from. 
                <br /><br />
                Select archive database(s) to process:<br />
            </td>
        </tr>
        <tr style="display:none">
        <td width="200px">
            Select Archives
        </td>
        <td >
            Database name mapping
        </td>
       </tr>
        <tr>
            <td>
                <asp:CheckBoxList runat="server" ID="cblDatabases" />
            </td>
            <td style="vertical-align: top">
                <table border="0" cellspacing="0" cellpadding="4" style="display:none">
                    <tr>
                        <td>
                            Original name:
                      </td>
                      <td>
                          <asp:TextBox ID="originalDatabase1" runat="server" />
                      </td>
                      <td>
                          New name:
                      </td>
                      <td>
                          <asp:DropDownList ID="lstTargetDatabase1" runat="server" />
                      </td>
                  </tr>
                  <tr>
                      <td>
                          Original name:
                      </td>
                      <td>
                          <asp:TextBox ID="originalDatabase2" runat="server" />
                      </td>
                      <td>
                          New name:
                      </td>
                      <td>
                          <asp:DropDownList ID="lstTargetDatabase2" runat="server" />
                      </td>
                  </tr>
                  <tr>
                      <td>
                          Original name:
                      </td>
                      <td>
                          <asp:TextBox ID="originalDatabase3" runat="server" />
                      </td>
                      <td>
                          New name:
                      </td>
                      <td>
                          <asp:DropDownList ID="lstTargetDatabase3" runat="server" />
                      </td>
                  </tr>
                  <tr>
                      <td>
                          Original name:
                      </td>
                      <td>
                          <asp:TextBox ID="originalDatabase4" runat="server" />
                      </td>
                      <td>
                          New name:
                      </td>
                      <td>
                          <asp:DropDownList ID="lstTargetDatabase4" runat="server" />
                      </td>
                  </tr>
                    <tr>
                        <td colspan="4">
                            <asp:CheckBox ID="cbDeleteConverted" runat="server" Checked="false" Text="Delete archive items after successful conversion" />
                        </td>
                    </tr>                  
                    <tr>
                        <td colspan="4">
                            <asp:CheckBox ID="cbDeleteConflicted" runat="server" Checked="false" Text="Delete items in the case of id collision" />
                        </td>
                    </tr>                                      
                </table>
            </td>
        </tr>
        </table>
        <asp:Button runat="server" Text="Process" ID="btnConvert" OnClick="OnConvertClick" />        
    </div>
    </form>
    <br />
    <a href="ManualConversion.aspx">Back to main page</a>    
   </td>
   <td width="50%" height="400px">
     <asp:Panel runat="server" ID="pnlResponse" align="top" Width="100%" Height="100%">
     </asp:Panel>
   </td>
   </tr>
 </table>      
    
    </asp:View>
    <asp:View ID="viewNoData" runat="server">
      No archive databases found. You can skip to the next step. 
      <br />
      <br />
      <a href="ManualConversion.aspx">Back to main page</a>    
    </asp:View>
 </asp:MultiView>

</body>
</html>
