SETLOCAL

if "%DATABASE%" == "" SET DATABASE=%1
if "%PASSWORD%" == "" SET PASSWORD=%2
if "%PREFIX%" == ""   SET PREFIX=%3

if "%DATABASE%" == "" set DATABASE=sitecore
if "%PASSWORD%" == "" set PASSWORD=manager
set TBS=sitecore
if "%PREFIX%" == "" set PREFIX=sc

if "%ORACLE_DATA_DIR%" == "" SET ORACLE_DATA_DIR=D:\Oracle\oradata

md %ORACLE_DATA_DIR%\%DATABASE%
sqlplus system/%PASSWORD%@%DATABASE% @createTablespace.sql %ORACLE_DATA_DIR%\%DATABASE% %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createrole.sql
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%core %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%master %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%web %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%arc %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%security %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%extranet %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%recbin %TBS%

imp system/%PASSWORD%@%DATABASE% fromuser=sccore touser=%PREFIX%core file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%corelog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=scmaster touser=%PREFIX%master file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%masterlog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=scweb touser=%PREFIX%web file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%weblog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=scarc touser=%PREFIX%arc file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%arclog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=scsecurity touser=%PREFIX%security file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%securitylog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=scextranet touser=%PREFIX%extranet file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%extranetlog.txt
imp system/%PASSWORD%@%DATABASE% fromuser=screcbin touser=%PREFIX%recbin file=sitecore.dmp ignore=n log=%DATABASE%_%PREFIX%recbinlog.txt

ENDLOCAL
