-- creating necessary procedure

create or replace procedure ChangeColumnType 
(tableName in varchar2, 
 columnName in varchar2,
 defaultValue in varchar2,
 notNull in varchar2) 
as
begin
   execute immediate 'ALTER TABLE ' || tableName || ' ADD nclobtargetpath NCLOB';
   execute immediate 'UPDATE ' || tableName || ' SET nclobtargetpath = ' || columnName;
   execute immediate 'ALTER TABLE ' || tableName || ' MODIFY (nclobtargetpath ' || defaultValue || notNull || ' )';
   execute immediate 'ALTER TABLE ' || tableName || ' DROP COLUMN ' || columnName || ' CASCADE CONSTRAINT';
   execute immediate 'ALTER TABLE ' || tableName || ' RENAME COLUMN nclobtargetpath TO ' || columnName;
end;
/

-- upgrading data

exec ChangeColumnType('Links','TARGETPATH','','');

-- dropping temporary procedure

drop procedure ChangeColumnType;

exit;