﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Main.aspx.cs" Inherits="Sitecore.V6DBConversion.sitecore.admin.upgrade.Main" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Database Conversion Tool</title>
</head>
<body>
  <div>
    <h1>Sitecore CMS 5.3 to CMS 6 Database Conversion Tool</h1>
    <div>
        The purpose of this tool is to convert Sitecore databases from v5.3.2 (or newer) to the format used by Sitecore V6. 
    </div>
    <h2>Prerequisites</h2>
    <div>
        <h3>Source installation</h3>
        <ul>
            <li>
                A sitecore V5.3 solution to be upgraded (v5.3.2 rev. 090212 or newer)
            </li>
            <li>
                The solution does not need to be running
            </li>
        </ul>
        <h3>Target installation</h3>
        <ul>
            <li>
                A clean V6 solution with the 'Database Conversion Tool' installed 
            </li>
        </ul>
        <h2>Preparations</h2>
        <ul>
            <li>
                The V5.3 databases must be copied and attached to the V6 solution as described in the documentation. 
            </li>
            <li>
                <b>Read the documentation!</b> The documentation can be downloaded from SDN.
            </li>
        </ul>
    </div>    
    <br />
    <form>
      <input type="button" value="Next &gt;&gt;" onclick="location.href = 'SelectDatabases.aspx';"/>
    </form>
  </div>
</body>
</html>
