CREATE OR REPLACE TRIGGER  "PQINDEX" BEFORE
INSERT ON "PublishQueue" FOR EACH ROW
begin
    if :new."Index" is null then
        select INDEX_SEQ.nextval into :new."Index" from dual;
    end if;
end;
/
ALTER TRIGGER  "PQINDEX" ENABLE
/
CREATE OR REPLACE TRIGGER  "WORKFLOW_INDEX" BEFORE
INSERT ON "WorkflowHistory" FOR EACH ROW
begin
    if :new."Sequence" is null then
        select WORKWFLOW_SEQ.nextval into :new."Sequence" from dual;
    end if;
end;
/
ALTER TRIGGER  "WORKFLOW_INDEX" ENABLE
/