﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SelectDatabases.aspx.cs" Inherits="Sitecore.V6DBConversion.SelectDatabases" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Select Databases</title>
    <style type="text/css">
      .dbTypeColumn 
      {
      	padding-left: 10px;
      }
      .dbInfoColumn 
      {
      	padding-left: 10px;
      }
    </style>
</head>
<body>
    <form id="form1" runat="server">
       <h1>Select Databases</h1>
       Select the v5.3 databases that you want to use when upgrading to the v6 database format.
       <br /><br />
       <table>
        <tr style="text-align: left">
         <th></th>
         <th>Name</th>
         <th class="dbTypeColumn">Database Type</th>
         <th class="dbInfoColumn" colspan="2">Additional configuration</th>
        </tr>
        <asp:Repeater runat="server" ID="rptDatabases" OnItemDataBound="rptDatabases_ItemDataBound">
        <ItemTemplate>
         <tr>
          <td>
           <asp:CheckBox runat="server" ID="cbSelected" AutoPostBack="true" OnCheckedChanged="cbSelected_CheckedChanged"/>
          </td>
          <td>
           <asp:Label runat="server" ID="lblDatabaseName" />
          </td>
          <td class="dbTypeColumn">
           <asp:DropDownList runat="server" ID="lstType" AutoPostBack="true" OnTextChanged="lstType_TextChanged"/>
          </td>
          <td class="dbInfoColumn"> 
            <asp:Label runat="server" ID="lblAdditionadData" Style="width:200px" />
         </td>   
         <td>
            <asp:DropDownList runat="server" ID="lstData" Style="width:160px"/>
          </td>
         </tr>
        </ItemTemplate>
        </asp:Repeater>
       </table>
    <br />
    <b>Select conversion mode</b>
    <table>
     <tr>
      <td>
       <input type="radio" name="rbgMode" value="0" runat="server" id="rbnAutomaticConversion" />
      </td>
      <td>
        <label for="rbnAutomaticConversion">Perform all conversion steps automatically (recommended)</label>
      </td>
     </tr>
     <tr>
      <td>
       <input type="radio" name="rbgMode" value="1" runat="server" id="rbnManualConversion"  />
      </td>
      <td>
        <label for="rbnManualConversion">Perform a step-by-step manual conversion</label>
      </td>
     </tr>     
    </table>
   <br />
   
   <table>
    <tr>
     <td>
     <asp:Button runat="server" ID="btnBack" Text="&lt;&lt; Back" OnClick="btnBack_Click" />
     <td width="20px"></td>
     <td>
       <asp:Button runat="server" ID="btnNext" Text="Next &gt;&gt;" OnClick="btnNext_Click" />
     </td>
    </tr>
   </table>
  </form>   
</body>
</html>
