﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UpdateFields.aspx.cs" Inherits="Sitecore.V6DBConversion.UpdateFields" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Update Fields</title>
</head>
<body>
 <table width="100%">
 <tr>
   <td width="50%" style="vertical-align:top;">
    <form id="mainForm" runat="server">
    <div>
        <h1>Update Fields</h1>
        <asp:MultiView ID="mlvMain" runat="server">
         <asp:View ID="viewMain" runat="server">
          <div>
              The following fields will be converted
          </div>
          <div>        
          <ul>
          <li><b>"Layout" fields</b> <br />
            <ul>
                <li>Layouts and renderings assigned directly to template items will be moved to the template’s Standard Values, unless the Standard Values already have one or more assigned layouts.</li>            
                <li>An 'uid' attribute will be added to the XML of all layout fields.</li>
            </ul>
          </li>
          <li><b>Fields that store references to masters</b> 
            <ul>
                <li>Some masters that existed in v5.3 have been removed, since it is now possible to insert items directly from 
                    templates.</li>
                <li>References to the obsolete masters in the "Master" field will be removed.</li>
                <li>Also, the "Masters" field (now called "Insert Options") will be updated so that references to the obsolete 
                    masters are changed to point to the relevant templates.</li>
            </ul>
            </li>
          <li><b>"Source" fields for html profiles.</b> 
            <br />The names of some of the standard profiles has been changed, and will therefore be updated:
            <ul>
              <li>Rich Text Default =&gt; Rich Text Medium</li>
              <li>Default =&gt; Rich Text Medium</li>
              <li>Full =&gt; Rich Text Full</li>
            </ul>
          </li>
          </ul>
          </div>        
          Select database(s) to process:
          <asp:CheckBoxList runat="server" ID="cblDatabases" />
          <div>
              <asp:Button ID="Button1" OnClick="Go" Text="Process" runat="server" />
          </div>
         </asp:View>
         <asp:View ID="viewNoData" runat="server">
          Cannot find any content database to process
         </asp:View>
        </asp:MultiView>
        
    </div>
    </form>
    <br />
    <a href="ManualConversion.aspx">Back to main page</a>
   </td>
   <td width="50%">
     <asp:Panel runat="server" ID="pnlResponse" align="top" Width="100%" Height="600px">
     </asp:Panel>
   </td>
   </tr>
 </table>     
</body>
</html>
