SETLOCAL

if "%DATABASE%" == "" set DATABASE=%1
if "%PASSWORD%" == "" set PASSWORD=%2
if "%PREFIX%" == ""   set PREFIX=%3
if "%TBS%" == ""      set TBS=%4

if "%DATABASE%" == "" set DATABASE=sitecore
if "%PASSWORD%" == "" set PASSWORD=manager
if "%TBS%" == ""      set TBS=sitecore
if "%PREFIX%" == ""   set PREFIX=sc

if "%ORACLE_DATA_DIR%" == "" set ORACLE_DATA_DIR=D:\Oracle\oradata\%DATABASE%

md %ORACLE_DATA_DIR%
sqlplus system/%PASSWORD%@%DATABASE% @createTablespace.sql %ORACLE_DATA_DIR% %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createrole.sql
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%core %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%master %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%web %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%arc %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%security %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%extranet %TBS%
sqlplus system/%PASSWORD%@%DATABASE% @createuser.sql %PREFIX%recbin %TBS%

sqlplus %PREFIX%core/%PREFIX%core@%DATABASE% @sitecore_ddl.sql %PREFIX%core %TBS%
sqlplus %PREFIX%master/%PREFIX%master@%DATABASE% @sitecore_ddl.sql %PREFIX%master %TBS%
sqlplus %PREFIX%web/%PREFIX%web@%DATABASE% @sitecore_ddl.sql %PREFIX%web %TBS%
sqlplus %PREFIX%arc/%PREFIX%arc@%DATABASE% @sitecore_ddl.sql %PREFIX%arc %TBS%
sqlplus %PREFIX%security/%PREFIX%security@%DATABASE% @sitecore_ddl.sql %PREFIX%security %TBS%
sqlplus %PREFIX%extranet/%PREFIX%extranet@%DATABASE% @sitecore_ddl.sql %PREFIX%extranet %TBS%
sqlplus %PREFIX%recbin/%PREFIX%recbin@%DATABASE% @sitecore_ddl.sql %PREFIX%recbin %TBS%

ENDLOCAL
